-- Standard Turbine libraries
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

local importPath = getfenv(1)._.Name;
local localePath = (importPath .. ".Language")

--**v Detect Game Language v**
-- set vars
_G.WCFPatData, _G.WCFLangData, _G.PLang, _G.sset, _G.fstate, settings, color, write, GLocale = {}, {}, 0, 0, true, {}, Turbine.UI.Color, Turbine.Shell.WriteLine, Turbine.Engine.GetLanguage();
_G.WCFPatData[1], _G.WCFPatData[2], _G.WCFPatData[3] = {}, {}, {};
-- Check and load the LanguageData (Note: Texts should be changed there)
if GLocale == 268435460 then 
	PLang = 1;
	import (localePath .. ".Language_de");
elseif GLocale == 268435459 then
	PLang = 3;
	import (localePath .. ".Language_fr");
else
	PLang = 2;
	import (localePath .. ".Language_en");
end
--debug
--import (localePath .. ".Language_fr");
--end debug
-- load LanguagePattern --
import (localePath .. ".Pattern_de");
import (localePath .. ".Pattern_en");
import (localePath .. ".Pattern_fr");
--**^
--function Turbine.ShellCommand.Execute("s") end;
import (importPath .. ".Main");

